Subject: Re: [AVT] Status of draft-ietf-avt-rtp-speex-03

From: Colin Perkins <[email-masked]>
Date: Sun, 3 Feb 2008 17:57:13 +0000

Hi Alfred,

[avt list added as a cc]

Thanks - I think this is clear enough on o/a considerations. My only  
remaining comment is that it'd be good to include an example in  
section 5 showing the offer and answer.

Cheers,
Colin

On 30 Jan 2008, at 20:28, Alfred E. Heggestad wrote:
> Hi
>
> We just posted a new version of rtp-speex:
>
> http://www.ietf.org/internet-drafts/draft-ietf-avt-rtp-speex-04.txt
>
>
> we have made some clarifications and cleanups in section 5,
> SDP Usage of Speex. I hope that they should address your issues.
>
>
> If you have more comments, feel free to send them via the AVT
> mailing-list, so that other people can also get involved.
>
> Thanks for your review.
>
>
> /alfred
>
> Colin Perkins wrote:
>> Alfred,
>> I've taken a look at the offer/answer part of the draft, and I  
>> think it needs a little more work to clarify how each media type  
>> parameter is handled during the offer/answer exchange. Specifically:
>> 1) If the sender offers particular values of the vbr and cng  
>> parameters, must the receiver follow, or can different values be  
>> used in each direction?
>> 2) How do the modes in the answer relate to those in the offer? It  
>> appears that they're independent, and denote the decoding  
>> capabilities of the answerer, but that doesn't appear to be  
>> explicitly stated.
>> It would be helpful if the examples in section 5 could be extended  
>> to include both offer and the corresponding answer, to make it  
>> clear how the negotiation works.
>> Other than that, I think the draft is in good shape (although the  
>> additional copying conditions in Appendix A may well cause delay  
>> in the IESG review stage - are these necessary?)
>> Colin
>> 
>> On 5 Dec 2007, at 00:23, Colin Perkins wrote:
>>> Magnus,
>>>
>>> On 27 Nov 2007, at 15:26, Alfred E. Heggestad wrote:
>>>> To the chairs of the AVT working group:
>>>>
>>>> some months ago I submitted this draft:
>>>>
>>>>   http://tools.ietf.org/html/draft-ietf-avt-rtp-speex-03
>>>>
>>>> after the publication of this version I have not received any
>>>> more comments. I would like to move this to the next step,
>>>> and from what I know it now needs an expert review from an
>>>> SDP Offer/Answer expert.
>>>>
>>>> Can you let me know what actions I can take to get this going..?
>>>
>>> Could you please take a quick look at this draft over the next  
>>> few weeks, from an o/a point of view?
>>>
>>> Thanks,
>>> Colin
>
>
> -- 
> -------------------------------------------------------
> "Save planet Earth - Please do not print this email!"
> -------------------------------------------------------
> Alfred E. Heggestad <[email-masked]> --> http://aeh.db.org/
> VoIP:   <sip:[email-masked]>
> Phones: +47 21 39 02 84
> Mobile: +47 48 89 96 58 (telio)

-- 
Colin Perkins
http://csperkins.org/

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
http://www.ietf.org/mailman/listinfo/avt